Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

Edit an announcement

PATCH/api/admin/announcements/{id}
Path parameters
idstringrequired
Request body
requiredapplication/json
titlestring
bodyHtmlstring
isPinnedboolean
Responses
200

Success

Any of:
object
idstringrequired
titlestringrequired
bodyHtmlstringrequired
isPinnedbooleanrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
null
null
400

Bad request

Any of:
object
errorstringrequired
object
errorstringrequired
401

Unauthorized

errorstringrequired
404

Not found

errorstringrequired
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
500

Unhandled server error

errorstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH '/api/admin/announcements/string' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "string",
  "bodyHtml": "string",
  "isPinned": true
}'
Response
{
  "id": "string",
  "title": "string",
  "bodyHtml": "string",
  "isPinned": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

Was this page helpful?